#!/bin/sh

SZF_VPNTOOL="/var/packages/VPNPlusServer/target/tool/synovpnplustool"

is_switching_topology()
{
	if [ -f "/tmp/topology.lock" ]; then
		return 1
	fi

	return 0
}

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
		echo "1.0"
		;;
	--name)
	#Print package name
		echo "VPNPlus";
		;;
	--pkg-ver)
	#Print package version
		echo "1.0";
		;;
	--vendor)
	#Print package vendor
		echo "Synology";
		;;
	--pre)
		;;
	--post)
		is_switching_topology
		if [ "1" = "$?" ]; then
			return
		fi

		local cur_ip=`ifconfig ${IFNAME} | grep "inet addr" | cut -d: -f 2 | cut -d " " -f 1`
		if [ "${cur_ip}" != "" ] ; then
			${SZF_VPNTOOL} -s -i ${IFNAME} ${cur_ip}
		fi

		if [ "${IFNAME}" = "lbr0" ] ; then
			/bin/sleep 10
			${SZF_VPNTOOL} -f -v lbr0
		fi

		if [ "${IFNAME}" = "gbr0" ] ; then
			/bin/sleep 10
			${SZF_VPNTOOL} -f -v gbr0
		fi
		;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
		;;
esac
