#!/bin/sh

SZF_IFCONFIG="/sbin/ifconfig"
case $1 in
	--sdk-mod-ver)
	#Print SDK support version
		echo "1.0";
	;;
	--name)
	#Print package name
		echo "VPNPlus";
	;;
	--pkg-ver)
	#Print package version
		echo "1.0";
	;;
	--vendor)
	#Print package vendor
		echo "Synology";
	;;
	--post)
		if [ "${IFNAME}" = "${IFNAME#ppp*}" ] || [ "x${IFNAME}" = "xppp200" ] || [ "x${IFNAME}" = "xppp300" ]; then
			exit 0
		fi
		if [ "${IFNAME#ppp*}" -lt 200 ]; then
			exit 0
		fi

		VirtualIP=`${SZF_IFCONFIG} | grep ${IFNAME} -A 1 | tail -n 1 | awk '{print$3}' | awk -F':' '{print $2}'`

		# del SNAT if the ippool of PPTP is lbr0 or gbr0
		TOPOLOGY=`/bin/get_key_value /etc/synoinfo.conf net_topology`
		IPPOOL=`/usr/syno/bin/get_section_key_value /usr/syno/etc/packages/VPNPlusServer/synovpnplus.conf pptp ippool`
		if [ "${IFNAME#ppp*}" -lt 300 ] && [ "x${IPPOOL}" = "xlbr0" -o "${IPPOOL}" = "gbr0" ]; then
			iptables -t nat -D POSTROUTING -s ${VirtualIP}/32 -j MASQUERADE
		fi
	;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac


